# Velt Collaboration SDK

<p>
  <a href="https://npmjs.org/package/@veltdev/sdk">
    <img src="https://img.shields.io/npm/v/@veltdev/sdk?style=flat&label=npm&color=09f" alt="NPM" />
  </a>
</p>

With Velt SDK you can add powerful collaboration features to your product extremely fast.

The SDK provides **fullstack components**:
- UI and behavior are fully customizable to match your product's needs
- fully-managed on a scalable realtime backend

Features include:
* **Comments** like Figma, Frame.io, Google Docs, Sheets and more
* **Recording** like Loom (audio, video, screen)
* **Huddle** like Slack (audio, video, screensharing)
* In-app and off-app **notifications**
* **@mentions** and assignment
* **Presence**, **Cursors**, **Live Selection**
* **Live state sync** with Single Editor mode
* **Multiplayer editing** with conflict resolution
* **Follow mode** like Figma 
* ... and so much more

## Installation

```
npm install @veltdev/sdk
```

## Documentation

- Read the [documentation](https://docs.velt.dev/get-started/overview) for guides and API references.

## Use cases

- Explore [use cases](https://velt.dev/use-case) to learn how collaboration could look like on your product.
- [Figma Template](https://www.figma.com/community/file/1402312407969730816/velt-collaboration-kit): To visualize what collaboration features could look like on your product.

## Releases

- See the [latest changes](https://docs.velt.dev/release-notes/).

## Security
- Velt is SOC2 Type 2 and HIPAA compliant. [Learn more](https://velt.dev/security)

## Community

- [X](https://x.com/veltjs): To receive updates, announcements,
  and general Velt tips.

- [Discord](https://discord.gg/GupvcYH27h): To ask questions and share tips. (Less active).