import { AnnotationProperty } from "./annotation-property.data.model";
import { CursorPosition } from "./cursor-position.data.model";
import { Location } from "./location.model";
import { PageInfo } from "./page-info.model";
import { TargetElement } from "./target-element.data.model";
import { User } from "./user.data.model";
export declare class ArrowAnnotation {
    /**
     * Unique identifier for the arrow pin annotation.
     *
     * Auto generated.
     */
    annotationId: string;
    /**
     * The user who created this arrow pin annotation.
     *
     */
    from: User;
    /**
     * Color used for the arrow pin annotation.
     *
     */
    color?: string;
    /**
     * Timestamp when the arrow annotation was last updated.
     *
     * Auto generated.
     */
    lastUpdated?: any;
    /**
     * Target element of attached annotation.
     */
    targetElement?: TargetElement | null;
    position?: CursorPosition | null;
    /**
     * Unique location id generated from provided location
     */
    locationId?: number | null;
    /**
     * Set location to identify user on sub document
     */
    location?: Location | null;
    type?: string;
    props: AnnotationProperty;
    /**
     * To maintain index of current annotation in available list of annotations
     * It will start from 1, so no need to add 1 in that.
     */
    annotationIndex?: number;
    pageInfo?: PageInfo;
}
