import { RecorderFileFormat } from "../../utils/enums";
export declare class Attachment {
    /**
     * Unique identifier for the comment pin annotation.
     *
     * Auto generated.
     */
    attachmentId: number;
    /**
     * To check if attachment resolver is used
     */
    isAttachmentResolverUsed?: boolean;
    /**
     * File name
     */
    name?: string;
    /**
     * Unique path in storage
     */
    bucketPath?: string;
    /**
     * File size
     */
    size?: number;
    /**
     * File type
     */
    type?: RecorderFileFormat;
    /**
     * Download url of a file
     */
    url?: string;
    /**
     * Thumbnail img in base64 format
     */
    thumbnail?: string;
    thumbnailWithPlayIconUrl?: string;
    /**
     * Metadata of an attachment
     */
    metadata?: any;
    /**
     * Mime type of an attachment
     */
    mimeType?: any;
}
export interface UploadFileOptions {
    path: string;
    file: File;
    useAttachmentResolver?: boolean;
    metadata?: any;
}
