import { OrganizationUserGroup } from "./organization-groups.data.model";
import { UserContact } from "./user-contact.data.model";
export declare class AutocompleteDataMap {
    [hotkey: string]: AutocompleteData;
}
export declare class AutocompleteData {
    hotkey: string;
    description?: string;
    type: 'custom' | 'contact' | 'group';
    data: AutocompleteItem[];
}
export declare class AutocompleteItem {
    id: string;
    name: string;
    description?: string;
    icon?: {
        url?: string;
        svg?: string;
    };
    link?: string;
}
export declare class AutocompleteReplaceData {
    text: string;
    custom: AutocompleteItem;
}
export declare class AutocompleteGroupReplaceData {
    text: string;
    groupId: string;
    clientGroupId: string;
    group?: OrganizationUserGroup;
}
export declare class AutocompleteUserContactReplaceData {
    text: string;
    userId: string;
    contact?: UserContact;
}
export declare class AutocompleteChipData extends AutocompleteItem {
    type: 'contact' | 'custom';
}
