import { CommentAnnotation } from "./comment-annotation.data.model";
import { UnreadCommentsMap } from "./comment-utils.data.model";
import { Comment } from "./comment.data.model";
import { CustomFilters } from "./custom-filter.data.model";
import { VeltEventMetadata } from "./event-metadata.data.model";
import { Notification } from "./notification.model";
export interface VeltButtonClickEvent extends VeltButtonData {
    buttonContext?: VeltButtonContext;
    metadata?: VeltEventMetadata;
    customFilters?: CustomFilters;
}
export interface VeltButtonContext {
    type?: string;
    groupId?: string;
    selections?: VeltButtonSelectionMap;
    clickedButtonId?: string;
}
export interface VeltButtonData {
    commentAnnotation?: CommentAnnotation;
    comment?: Comment;
    index?: number;
    commentAnnotations?: CommentAnnotation[];
    systemFilteredAnnotations?: CommentAnnotation[];
    unreadCommentAnnotationsMap?: UnreadCommentsMap;
    notification?: Notification;
    notifications?: Notification[];
}
export interface VeltButtonSelectionMap {
    [groupId: string]: {
        [buttonId: string]: boolean;
    };
}
export interface VeltResetButtonStateConfig {
    id?: string;
    group?: string;
}
