import { CoreEventTypes } from "../../utils/enums";
import { VeltButtonClickEvent } from "./button.data.model";
import { User } from "./user.data.model";
export type CoreEventTypesMap = {
    [CoreEventTypes.VELT_BUTTON_CLICK]: VeltButtonClickEvent;
    [CoreEventTypes.USER_UPDATE]: UserUpdateEvent;
    [CoreEventTypes.DOCUMENT_INIT]: DocumentInitEvent;
    [CoreEventTypes.ERROR]: ErrorEvent;
    [CoreEventTypes.INIT_UPDATE]: InitUpdateEvent;
};
export type UserUpdateEvent = User | null;
export type DocumentInitEvent = boolean | undefined;
export type ErrorEvent = {
    error?: string;
    code: string;
    message?: string;
    source?: string;
};
export type InitUpdateEvent = {
    event: string;
    methodName?: string;
    source?: string;
    payload?: any;
};
