export declare class CursorPosition {
    /**
     * Position top of cursor on viewer user's screen
     */
    top: number;
    /**
     * Position left of cursor on viewer user's screen
     */
    left: number;
    /**
     * Scale factor of the parent element in X direction
     * Used for transform handling
     */
    parentScaleX?: number;
    /**
     * Scale factor of the parent element in Y direction
     * Used for transform handling
     */
    parentScaleY?: number;
    /**
     * Transform context information
     * Used to handle transforms properly
     */
    transformContext?: any;
}
