export type StatusType = 'default' | 'ongoing' | 'terminal';
export interface CustomFilter {
    id: string;
    color: string;
    name: string;
}
export interface CustomPriority extends CustomFilter {
    lightColor?: string;
}
export interface CustomStatus extends CustomFilter {
    type: StatusType;
    lightColor?: string;
    svg?: string;
    iconUrl?: string;
}
export interface CustomFilterOption {
    id: string;
    name: string;
    selected: boolean;
}
export interface CustomFilters {
    [key: string]: CustomFilterOption[];
}
export interface CustomCategory extends CustomFilter {
}
export interface CustomCategoryMap {
    [key: string]: CustomCategory;
}
export interface CustomStatusMap {
    [key: string]: CustomStatus;
}
export interface CustomPriorityMap {
    [key: string]: CustomPriority;
}
