import { DocumentAccessType } from "../../utils/enums";
import { UserIAM } from "./user-iam.data.model";
export type DocumentIAMFeatures = {
    all?: {
        disabled?: boolean;
        restricted?: boolean;
    };
};
export declare class DocumentIAM {
    /**
     * The document access type
     */
    documentAccessType: DocumentAccessType;
    /**
     * The access type of the document when document is inside organization
     */
    accessType: DocumentAccessType;
    /**
     * Flag to indicate if the document is disabled
     */
    disabled: boolean;
    /**
     * Features
     */
    features: DocumentIAMFeatures | undefined;
    /**
     * Users with access to the document
     */
    users: {
        [userId: string]: UserIAM;
    };
}
