import { LocationMetadata } from "./location-metadata.model";
import { PageInfo } from "./page-info.model";
import { User } from "./user.data.model";
export declare class DocumentMetadata {
    /**
     * Unique document id generated from client document id
     */
    documentId?: string;
    /**
     * Folders
     */
    folderId?: string;
    /**
     * Velt folder id
     */
    veltFolderId?: string;
    /**
     * API key
     */
    apiKey?: string;
    /**
     * Organization id
     */
    organizationId?: string;
    /**
     * Client organization id
     */
    clientOrganizationId?: string;
    /**
     * Document id provided by client
     */
    clientDocumentId?: string | number;
    /**
     * Document name
     */
    documentName?: string;
    /**
     * Page metadata
     */
    pageInfo?: PageInfo;
    /**
     *
     */
    locations?: {
        [locationId: number]: LocationMetadata;
    };
    /**
     * Document creator
     */
    creator?: User;
    [key: string]: any;
}
export interface DocumentMetadatas {
    [documentId: string]: DocumentMetadata;
}
