export declare class DocumentPaths {
    /**
     * The document's unique identifier.
     */
    documentId?: string;
    folderId?: string;
    locationId?: string;
    allDocuments?: boolean;
    veltFolderId?: string;
    /**
     * Presence path.
     */
    presence?: string;
    /**
     * User config path.
     */
    userConfig?: string;
    docs?: string;
    /**
     * Cursor path.
     */
    cursor?: string;
    /**
     * Area path.
     */
    area?: string;
    /**
     * Arrow path.
     */
    arrow?: string;
    /**
     * Comment path.
     */
    comment?: string;
    /**
     * Multi thread path.
     */
    multiThread?: string;
    /**
     * Huddle path.
     */
    audioHuddle?: string;
    /**
     * Document Id provided by the user.
     */
    clientDocumentId?: string;
    /**
     * Organization Id.
     */
    organizationId?: string;
    /**
     * Client organization Id.
     */
    clientOrganizationId?: string;
    /**
     * Organization metadata path.
     */
    organizationMetadata?: string;
    /**
     * Organization groups path.
     */
    organizationGroups?: string;
    /**
     * Group contacts path.
     */
    groupContacts?: string;
    /**
     * Global contacts path.
     */
    globalContacts?: string;
    /**
     * User login path.
     */
    logins?: string;
    /**
     * CRDT path.
     */
    crdt?: string;
    /**
     * Selection path.
     */
    selection?: string;
    /**
     * Tag path.
     */
    tag?: string;
    /**
     * Huddle path.
     */
    huddle?: string;
    /**
     * Document metadata path.
     */
    metadata?: string;
    /**
     * Recorder path.
     */
    recorder?: string;
    /**
     * IAM (Identity and Access Management) path.
     */
    workspaceIam?: string;
    /**
     * Organization IAM (Identity and Access Management) path.
     */
    organizationIam?: string;
    /**
     * Document IAM (Identity and Access Management) path.
     */
    documentIam?: string;
    /**
     * Document users path.
     */
    users?: string;
    /**
     * User feedback path.
     */
    userFeedback?: string;
    /**
     * User report bugs path.
     */
    userReportBugs?: string;
    /**
     * User contact us path.
     */
    userContactUs?: string;
    /**
     * User follow along path.
     */
    flock?: string;
    syncVideoPlayer?: string;
    liveState?: string;
    liveStateSingleEditorMode?: string;
    reaction?: string;
    customerMetadata?: string;
    views?: string;
    notifications?: string;
    organizationNotifications?: string;
    organizationNotificationsWithDocumentId?: string;
    organizationNotificationsUsers?: string;
    organizationNotificationsLastNotificationTimestamp?: string;
}
