import { BaseMetadata } from "./base-metadata.data.model";
import { Location } from "./location.model";
import { PageInfo } from "./page-info.model";
export declare class LocationMetadata {
    /**
     * Unique location id generated from client location information
     */
    locationId?: number;
    /**
     * Location id generated from velt location information
     */
    veltLocationId?: string;
    /**
     * Location object provided by a client
     */
    location?: Location | null;
    /**
     * Page metadata
     */
    pageInfo?: PageInfo;
    /**
     * Location metadata
     */
    metadata?: BaseMetadata;
}
export interface LocationMetadatas {
    [documentId: string]: {
        [locationId: string]: LocationMetadata;
    };
}
