import { IDeviceInfo } from "./device-info.model";
export declare class PageInfo {
    /**
     * URL of the webpage
     */
    url?: string;
    /**
     * Path of the webpage excluding base url
     */
    path?: string;
    /**
     * Query parameters of the webpage
     */
    queryParams?: string;
    /**
     * Base URL (domain) of a webpage
     */
    baseUrl?: string;
    /**
     * Title of the webpage
     */
    title?: string;
    /**
     * Reference url of a arrow annotation
     */
    arrowUrl?: string;
    /**
     * Reference url of a area annotation
     */
    areaUrl?: string;
    /**
     * Reference url of a comment annotation
     */
    commentUrl?: string;
    /**
     * Reference url of a tag annotation
     */
    tagUrl?: string;
    /**
     * Reference url of a recorder annotation
     */
    recorderUrl?: string;
    /**
     * User’s screen width.
     *
     * Auto generated.
     */
    screenWidth?: number;
    deviceInfo?: IDeviceInfo;
}
