import { RecorderData } from "../../models/data/recorder-annotation.data.model";
import { RecorderEventTypes } from "../../utils/enums";
export interface TranscriptionDoneEvent extends RecorderData {
}
export interface RecordingDoneEvent extends RecorderData {
}
export interface RecordingDeleteEvent extends RecorderData {
}
export interface RecordingEditDoneEvent extends RecorderData {
}
export interface RecordingErrorEvent {
    type: string;
    message: string;
    recorderId?: string;
}
export interface RecordingSaveInitiatedEvent {
    annotationId?: string;
    message: string;
    type: 'edit' | 'record';
}
export type RecorderEventTypesMap = {
    [RecorderEventTypes.TRANSCRIPTION_DONE]: TranscriptionDoneEvent;
    [RecorderEventTypes.RECORDING_DONE]: RecordingDoneEvent;
    [RecorderEventTypes.RECORDING_EDIT_DONE]: RecordingEditDoneEvent;
    [RecorderEventTypes.DELETE_RECORDING]: RecordingDeleteEvent;
};
