import { Location } from "./location.model";
import { PageInfo } from "./page-info.model";
import { TargetTextRange } from "./target-text-range.data.model";
import { User } from "./user.data.model";
export declare class RewriterAnnotation {
    /**
     * Unique identifier for the rewriter pin annotation.
     *
     * Auto generated.
     */
    annotationId: string;
    /**
     * The user who created this rewriter pin annotation.
     *
     */
    from: User;
    /**
     * Color used for the rewriter pin annotation.
     *
     */
    color?: string;
    /**
     * Timestamp when the rewriter annotation was last updated.
     *
     * Auto generated.
     */
    lastUpdated?: any;
    /**
     * Unique document params id generated from provided document params
     * @deprecated `documentParamsId` is deprecated and will be removed in next release, use `locationId` instead.
     */
    documentParamsId?: number | null;
    /**
     * Set document params to identify user on sub document
     * @deprecated `documentParams` is deprecated and will be removed in next release, use `location` instead.
     */
    documentParams?: Location | null;
    /**
     * Unique location id generated from provided location
     */
    locationId?: number | null;
    /**
     * Set location to identify user on sub document
     */
    location?: Location | null;
    type?: string;
    rewriterType: 'generic' | 'copywriter';
    /**
     * Selected text range of rewriter annotation
     */
    targetTextRange?: TargetTextRange | null;
    /**
     * To maintain index of current annotation in available list of annotations
     * It will start from 1, so no need to add 1 in that.
     */
    annotationIndex?: number;
    pageInfo?: PageInfo;
    /**
     * Selected rewriter option
     */
    selectedRewriterOption?: string;
}
