import { PageInfo } from "./page-info.model";
import { TargetTextRange } from "./target-text-range.data.model";
import { User } from "./user.data.model";
export declare class Selection {
    /**
     * User focused on specific element or text
     */
    user?: User;
    /**
     * Type of event through highlight event is fired
     */
    type?: 'focus' | 'click' | 'selection';
    /**
     * XPath of highlighted element
     */
    targetElement?: string | null;
    /**
     * Selected text to highlight
     */
    targetTextRange?: TargetTextRange | null;
    pageInfo: PageInfo;
}
export declare enum UserIndicatorPosition {
    Start = "start",
    End = "end"
}
export declare enum UserIndicatorType {
    Avatar = "avatar",
    Label = "label"
}
export declare class LiveSelectionData {
    [userIdHash: string]: Selection;
}
