import { User } from "./user.data.model";
export declare class SyncVideoPlayer {
    /**
     * The id of the player
     */
    playerId?: string;
    src?: string;
    sources?: string[];
    /**
     * Last updated timestamp
     */
    lastUpdated?: number;
    /**
     * Last updated by user
     */
    lastUpdatedBy?: User;
    /**
     * Last updated event
     */
    lastUpdatedEvent?: string;
    /**
     * The state of the player
     */
    playerState: SyncVideoPlayerState;
}
export declare class SyncVideoPlayerState {
    /**
     * True if the video is playing
     */
    playing?: boolean;
    /**
     * Current time of the video
     */
    currentTime?: number;
    /**
     * True if the video is muted
     */
    muted?: boolean;
    /**
     * Volume of the video
     */
    volume?: number;
    /**
     * Playback rate of the video
     */
    speed?: number;
}
