import { CursorPosition } from "./cursor-position.data.model";
import { Location } from "./location.model";
import { PageInfo } from "./page-info.model";
import { TargetElement } from "./target-element.data.model";
import { TargetTextRange } from "./target-text-range.data.model";
import { User } from "./user.data.model";
export declare class TagAnnotation {
    /**
     * Unique identifier for the tag pin annotation.
     *
     * Auto generated.
     */
    annotationId: string;
    /**
     * The user who created this tag pin annotation.
     *
     */
    from: User;
    /**
     * List of users that were tagged.
     *
     */
    to: User[];
    /**
     * Color used for the tag pin annotation.
     *
     */
    color?: string;
    /**
     * Whether the tag annotation is marked resolved.
     *
     */
    resolved?: boolean;
    /**
     * Timestamp when the tag annotation was last updated.
     *
     * Auto generated.
     */
    lastUpdated?: any;
    /**
     * Tag annotation's position on the X axis.
     *
     * Auto generated.
     */
    positionX?: number;
    /**
     * Tag annotation's position on the Y axis.
     *
     * Auto generated.
     */
    positionY?: number;
    /**
     * User’s screen width.
     *
     * Auto generated.
     */
    screenWidth?: number;
    /**
     * User’s screen height.
     *
     * Auto generated.
     */
    screenHeight?: number;
    /**
     * User’s screen scroll height.
     *
     * Auto generated.
     */
    screenScrollHeight?: number;
    /**
    * User’s screen scroll height.
    *
    * Auto generated.
    */
    screenScrollTop?: number;
    /**
     * Xpath of the element that was clicked.
     *
     * Auto generated.
     */
    taggedElementPath?: string;
    /**
     * Xpath of the element that was clicked.
     *
     * Auto generated.
     */
    taggedElementRect?: any;
    /**
     * Target element of attached annotation.
     */
    targetElement?: TargetElement | null;
    position?: CursorPosition | null;
    /**
     * Unique location id generated from prvoided location
     */
    locationId?: number | null;
    /**
     * Set location to identify user on sub document
     */
    location?: Location | null;
    type?: string;
    targetTextRange?: TargetTextRange | null;
    /**
     * Approved status of the annotation.
     */
    approved?: boolean;
    /**
     * To maintain index of current annotation in available list of annotations
     * It will start from 1, so no need to add 1 in that.
     */
    annotationIndex?: number;
    pageInfo?: PageInfo;
}
