export declare class UserContact {
    /**
     * Unique user identifier that you use to identify your user.
     */
    userId: string;
    /**
     * Your user's full name.
     *
     * Default: Random avatar name.
     */
    name?: string;
    /**
     * Your user's display picture URL.
     *
     * Default: Random avatar image.
     */
    photoUrl?: string;
    /**
     * This is required if you want us to send email or slack notifications
     * to users when they add comments and tag their co-workers.
     */
    email: string;
    /**
    * It could be a domain name or any identifier you use to cluster a group of users who work together.
    */
    groupId?: string;
    source?: string;
    visibility: 'group' | 'private';
    color?: string;
    textColor?: string;
    initial?: string;
}
export declare class SelectedUserContact {
    /**
     * Selected user contact details.
     */
    contact: UserContact;
    /**
     * Is user part of organization contact.
     */
    isOrganizationContact: boolean;
    /**
     * Is user part of document contact.
     */
    isDocumentContact: boolean;
    /**
     * Document access type.
     */
    documentAccessType: string;
}
