// @ts-nocheck
import { LiveSelectionData, UserIndicatorPosition, UserIndicatorType } from "../data/selection.model";
export declare class SelectionElement {
    /**
     * To enable selections
     */
    enableLiveSelection: () => void;

    /**
     * To disable selections
     */
    disableLiveSelection: () => void;

    /**
     * To enable user indicator
     */
    enableUserIndicator: () => void;

    /**
     * To disable user indicator
     */
    disableUserIndicator: () => void;

    /**
     * To set user indicator position
     */
    setUserIndicatorPosition: (position: UserIndicatorPosition) => void;

    /**
     * To set user indicator type
     */
    setUserIndicatorType: (type: UserIndicatorType) => void;

    /** 
     * To enable default elements tracking
     */
    enableDefaultElementsTracking: () => void;

    /**
     * To disable default elements tracking
     */
    disableDefaultElementsTracking: () => void;

    /**
     * To enable default styling
     */
    enableDefaultStyling: () => void;

    /**
     * To disable default styling
     */
    disableDefaultStyling: () => void;

    /**
     * To get live selection data
     */
    getLiveSelectionData: () => Observable<LiveSelectionData | null>;

    constructor();

    /**
    * To enable selections
    */
    private _enableLiveSelection;

    /**
     * To disable selections
     */
    private _disableLiveSelection;

    /**
     * To enable user indicator
     */
    private _enableUserIndicator;

    /**
     * To disable user indicator
     */
    private _disableUserIndicator;

    /**
     * To set user indicator position
     */
    private _setUserIndicatorPosition;

    /**
     * To set user indicator type
     */
    private _setUserIndicatorType;

    /** 
     * To enable default elements tracking
     */
    private _enableDefaultElementsTracking;

    /**
     * To disable default elements tracking
     */
    private _disableDefaultElementsTracking;

    /**
     * To enable default styling
     */
    private _enableDefaultStyling;

    /**
     * To disable default styling
     */
    private _disableDefaultStyling;

    /**
     * To get live selection data
     */
    private _getLiveSelectionData;
}