import { CustomPriorityMap, CustomStatus, CustomStatusMap } from "../models/data/custom-filter.data.model";
import { UserRole } from "../models/data/user-role.data.model";
export declare class Constants {
    static SNIPPYLY_HOST_URL_PROD: string;
    static SNIPPYLY_HOST_URL_STAGING: string;
    static USER_TYPE_ANONYMOUS: string;
    static USER_TYPE_SIGNED_IN: string;
    static LOCALSTORAGE_DATA_ID: string;
    static NO_ORGANIZATION_ID: string;
    static DEFAULT_QUERY_HASH: string;
    static LISTENER_BATCH_SIZE: number;
    static FIREBASE_PARTIAL_PATH_ORGANIZATIONS: string;
    static FIREBASE_PARTIAL_PATH_FOLDERS: string;
    static FIREBASE_PARTIAL_PATH_DOCS: string;
    static FIREBASE_PARTIAL_PATH_DOCUMENT_CONFIGURATIONS: string;
    static FIREBASE_PARTIAL_PATH_PRESENCE: string;
    static FIREBASE_PARTIAL_PATH_ORGANIZATION_USERS: string;
    static FIREBASE_PARTIAL_PATH_FOLDER_USERS: string;
    static FIREBASE_PARTIAL_PATH_DOCUMENT_USERS: string;
    static FIREBASE_PARTIAL_PATH_CURSOR: string;
    static FIREBASE_PARTIAL_PATH_ARROW: string;
    static FIREBASE_PARTIAL_PATH_AREA: string;
    static FIREBASE_PARTIAL_PATH_COMMENT: string;
    static FIREBASE_PARTIAL_PATH_LOCATION: string;
    static FIREBASE_PARTIAL_PATH_MULTI_THREAD: string;
    static FIREBASE_PARTIAL_PATH_TAG: string;
    static FIREBASE_PARTIAL_PATH_SELECTION: string;
    static FIREBASE_PARTIAL_PATH_AUDIO_HUDDLE: string;
    static FIREBASE_PARTIAL_PATH_HUDDLE: string;
    static FIREBASE_PARTIAL_PATH_CONTACTS: string;
    static FIREBASE_PARTIAL_PATH_GROUPS: string;
    static FIREBASE_PARTIAL_PATH_NOTIFICATION_DOCS: string;
    static FIREBASE_PARTIAL_PATH_NOTIFICATION_USERS: string;
    static FIREBASE_PARTIAL_PATH_DOC_NOTIFICATION: string;
    static FIREBASE_PARTIAL_PATH_USER_NOTIFICATION: string;
    static FIREBASE_PARTIAL_PATH_GLOBAL: string;
    static FIREBASE_PARTIAL_PATH_LOGINS: string;
    static FIREBASE_PARTIAL_PATH_METADATA: string;
    static FIREBASE_PARTIAL_PATH_ORGANIZATION_METADATA: string;
    static FIREBASE_PARTIAL_PATH_ORGANIZATION_GROUPS: string;
    static FIREBASE_PARTIAL_PATH_LOCATIONS: string;
    static FIREBASE_PARTIAL_PATH_RECORDER: string;
    static FIREBASE_PARTIAL_PATH_FOLLOW_ALONG: string;
    static FIREBASE_PARTIAL_PATH_SYNC_VIDEO_PLAYER: string;
    static FIREBASE_PARTIAL_PATH_LIVE_STATE: string;
    static FIREBASE_PARTIAL_PATH_IAM: string;
    static FIREBASE_PARTIAL_PATH_REACTION: string;
    static FIREBASE_PARTIAL_PATH_CRDT: string;
    static FIREBASE_PARTIAL_PATH_VIEWS: string;
    static FIREBASE_PARTIAL_PATH_COMMENT_VIEWS: string;
    static FIREBASE_PARTIAL_PATH_NOTIFICATION_VIEWS: string;
    static FIREBASE_PARTIAL_PATH_DOCUMENT_VIEWS: string;
    static FIREBASE_PARTIAL_PATH_LOCATION_VIEWS: string;
    static FIREBASE_PARTIAL_PATH_NOTIFICATIONS: string;
    static FIREBASE_PARTIAL_PATH_ORGANIZATION_NOTIFICATIONS: string;
    static FIREBASE_PARTIAL_PATH_LAST_NOTIFICATION_TIMESTAMP: string;
    static FIREBASE_PARTIAL_PATH_USERS: string;
    static FIREBASE_PARTIAL_PATH_USER_REQUESTS: string;
    static FIREBASE_PARTIAL_PATH_FEEDBACK: string;
    static FIREBASE_PARTIAL_PATH_BUGS: string;
    static FIREBASE_PARTIAL_PATH_CONTACT_US: string;
    static FIREBASE_PARTIAL_PATH_CUSTOMER_METADATA: string;
    static PRESENCE_STATUS_ONLINE: string;
    static PRESENCE_STATUS_OFFLINE: string;
    static PRESENCE_STATUS_AWAY: string;
    static IMG_URL_NOT_FOUND: string;
    static IMG_CLASS_NOT_FOUND: string;
    static AVATAR_COLOR_LIST: string[];
    static TEXT_COLOR_MAP: any;
    static UNREAD_COMMENTS_CHECK_FROM_DATE: string;
    static DEFAULT_ANNOTATION_COLOR: string;
    static REGEX_EMAIL: RegExp;
    static REGEX_URL: RegExp;
    static REGEX_SPECIAL_CHARS: RegExp;
    static SNIPPYLY_HIGHLIGHT: string;
    static SNIPPYLY_HIGHLIGHT_PREVIEW: string;
    /**
     * @deprecated Use VELT_IGNORE_CHANGE_DETECTION instead
     */
    static SNIPPYLY_HIGHLIGHT_USER: string;
    static SNIPPYLY_HIGHLIGHT_USER_NAME: string;
    static SNIPPYLY_HIGHLIGHT_USER_TEXT: string;
    static VELT_LIVE_SELECTION_ON_ELEMENT: string;
    static VELT_LIVE_SELECTION_ON_ELEMENT_DEFAULT: string;
    static VELT_LIVE_SELECTION_ON_TEXT: string;
    static VELT_LIVE_SELECTION_ON_TEXT_DEFAULT: string;
    static VELT_IGNORE_CHANGE_DETECTION: string;
    static VELT_CUSTOM_CSS: string;
    static TAGS: {
        /**
         * @deprecated Use VELT_ROOT instead
         */
        SNIPPYLY_ROOT: string;
        /**
         * @deprecated Use VELT_PRESENCE instead
         */
        SNIPPYLY_PRESENCE: string;
        /**
         * @deprecated Use VELT_CURSOR instead
         */
        SNIPPYLY_CURSOR: string;
        /**
         * @deprecated Use VELT_COMMENT_TOOL instead
         */
        SNIPPYLY_COMMENT_TOOL: string;
        /**
         * @deprecated Use VELT_COMMENTS instead
         */
        SNIPPYLY_COMMENTS: string;
        /**
         * @deprecated Use VELT_TAG_TOOL instead
         */
        SNIPPYLY_TAG_TOOL: string;
        /**
         * @deprecated Use VELT_TAGS instead
         */
        SNIPPYLY_TAGS: string;
        /**
         * @deprecated Use VELT_RECORDER_NOTES instead
         */
        SNIPPYLY_RECORDER_NOTES: string;
        /**
         * @deprecated Use VELT_RECORDER_CONTROL_PANEL instead
         */
        SNIPPYLY_RECORDER_CONTROL_PANEL: string;
        SNIPPYLY_RECORDER_CONTROL_PANEL_INTERNAL: string;
        /**
         * @deprecated Use VELT_RECORDER_PLAYER instead
         */
        SNIPPYLY_RECORDER_PLAYER: string;
        SNIPPYLY_TEXT_HIGHLIGHT: string;
        SNIPPYLY_COMMENT_TEXT_PORTAL: string;
        SNIPPYLY_COMMENT_TEXT: string;
        /**
         * @deprecated Use VELT_COMMENTS_SIDEBAR instead
         */
        SNIPPYLY_COMMENTS_SIDEBAR: string;
        /**
         * @deprecated User SNIPPYLY_COMMENT_BUBBLE instead
         */
        SNIPPYLY_COMMENT_BUBBLE: string;
        SNIPPYLY_HIGHLIGHT_USER_TEXT: string;
        SNIPPYLY_AUDIO_HUDDLE: string;
        SNIPPYLY_VIDEO_HUDDLE: string;
        /**
         * @deprecated Use VELT_HUDDLE instead
         */
        SNIPPYLY_HUDDLE: string;
        /**
         * @deprecated Use VELT_HUDDLE_TOOL instead
         */
        SNIPPYLY_HUDDLE_TOOL: string;
        /**
         * @deprecated Use VELT_RECORDER_TOOL instead
         */
        SNIPPYLY_RECORDER_TOOL: string;
        SNIPPYLY_PLUGIN: string;
        SNIPPYLY_MENU: string;
        SNIPPYLY_COMMENT_DIALOG: string;
        /**
         * @deprecated Use VELT_SIDEBAR_BUTTON instead
         */
        SNIPPYLY_SIDEBAR_BUTTON: string;
        /**
         * @deprecated Use VELT_REWRITER instead
         */
        SNIPPYLY_REWRITER: string;
        /**
         * @deprecated Use VELT_USER_INVITE_TOOL instead
         */
        SNIPPYLY_USER_INVITE_TOOL: string;
        /**
         * @deprecated Use VELT_USER_REQUEST_TOOL instead
         */
        SNIPPYLY_USER_REQUEST_TOOL: string;
        SNIPPYLY_USER_AVATAR: string;
        /**
         * @deprecated Use VELT_ARROW_TOOL instead
         */
        SNIPPYLY_ARROW_TOOL: string;
        /**
         * @deprecated Use VELT_ARROWS instead
         */
        SNIPPYLY_ARROWS: string;
        SNIPPYLY_AREA_TOOL: string;
        SNIPPYLY_AREAS: string;
        VELT_ROOT: string;
        VELT_PRESENCE: string;
        VELT_CURSOR: string;
        VELT_COMMENT_TOOL: string;
        VELT_COMMENTS: string;
        VELT_TAG_TOOL: string;
        VELT_TAGS: string;
        VELT_RECORDER_NOTES: string;
        VELT_RECORDER_CONTROL_PANEL: string;
        VELT_RECORDER_CONTROL_PANEL_INTERNAL: string;
        VELT_RECORDER_PLAYER: string;
        VELT_TEXT_HIGHLIGHT: string;
        VELT_COMMENT_TEXT_PORTAL: string;
        VELT_COMMENTS_SIDEBAR: string;
        VELT_COMMENT_BUBBLE: string;
        VELT_COMMENT_THREAD: string;
        VELT_COMMENT_PIN: string;
        VELT_COMMENT_TEXT: string;
        VELT_CHART_COMMENT: string;
        VELT_CANVAS_COMMENT: string;
        VELT_INLINE_COMMENTS_SECTION: string;
        VELT_COMMENTS_MINIMAP: string;
        VELT_HIGHLIGHT_USER_TEXT: string;
        VELT_AUDIO_HUDDLE: string;
        VELT_VIDEO_HUDDLE: string;
        VELT_HUDDLE: string;
        VELT_HUDDLE_TOOL: string;
        VELT_RECORDER_TOOL: string;
        SUPERFLOW_TOOLBAR: string;
        VELT_MENU: string;
        VELT_COMMENT_DIALOG: string;
        VELT_SIDEBAR_BUTTON: string;
        VELT_COMMENTS_SIDEBAR_BUTTON: string;
        VELT_REWRITER: string;
        VELT_USER_INVITE_TOOL: string;
        VELT_USER_REQUEST_TOOL: string;
        VELT_USER_AVATAR: string;
        VELT_ARROW_TOOL: string;
        VELT_ARROWS: string;
        VELT_AREA_TOOL: string;
        VELT_AREAS: string;
        VELT_INLINE_COMMENT: string;
        VELT_VIDEO_PLAYER: string;
        VELT_VIDEO_COMMENTS_TIMELINE: string;
        VELT_REACTION_TOOL: string;
        VELT_INLINE_REACTIONS_SECTION: string;
        VELT_VIEW_ANALYTICS: string;
        VELT_NOTIFICATIONS_TOOL: string;
        VELT_NOTIFICATIONS_PANEL: string;
        VELT_NOTIFICATIONS_HISTORY_PANEL: string;
        VELT_WIREFRAME: string;
        VELT_AUTOCOMPLETE: string;
        VELT_AUTOCOMPLETE_CHIP: string;
        VELT_COMMENT_DIALOG_HEADER: string;
        VELT_COMMENT_DIALOG_BODY: string;
        VELT_COMMENT_DIALOG_FOOTER: string;
        VELT_COMMENT_DIALOG_PRIORITY: string;
        VELT_COMMENT_DIALOG_STATUS: string;
        VELT_COMMENT_DIALOG_COPY_LINK: string;
        VELT_COMMENT_DIALOG_RESOLVE_BUTTON: string;
        VELT_COMMENT_DIALOG_OPTIONS: string;
        VELT_COMMENT_DIALOG_BODY_THREAD_CARD: string;
        VELT_COMMENT_DIALOG_PRIVATE_BANNER: string;
        VELT_COMMENT_COMPOSER: string;
        VELT_SKELETON_LOADER: string;
        VELT_SHADOW_DOM_INTERNAL: string;
        VELT_SINGLE_EDITOR_MODE_PANEL: string;
    };
    static ATTRIBUTES: {
        VELT_COMMENT_CONTAINER: string;
        VELT_TARGET_COMMENT_ELEMENT_ID: string;
        VELT_COMMENT_TYPE: string;
        TARGET_INLINE_COMMENT_ELEMENT_ID: string;
        TARGET_COMMENT_ELEMENT_ID: string;
        TARGET_ELEMENT_ID: string;
        VELT_ID: string;
        VELT_ELEMENT: string;
        VELT_SCREEN_RECORDER_PANEL: string;
        VELT_SOURCE_ID: string;
        VELT_ANNOTATION_ID: string;
        VELT_ANNOTATION_IDS: string;
        VELT_COMMENT_PIN_HOST: string;
        VELT_COMMENT_PIN_HOST_STATIC: string;
        VELT_COMMENT_DISABLED: string;
        VELT_MANUAL_COMMENT_CONTAINER: string;
        VELT_COMMENT_PIN_ACTIVE: string;
        VELT_INLINE_COMMENT_SECTION_CONFIG: string;
        VELT_TARGET_INLINE_COMMENT_ELEMENT_ID: string;
        VELT_TAG_PIN_HOST: string;
        VELT_TAG_PIN_HOST_STATIC: string;
        VELT_TAG_DISABLED: string;
        VELT_RECORDER_PIN_HOST: string;
        VELT_RECORDER_PIN_HOST_STATIC: string;
        VELT_RECORDER_DISABLED: string;
        VELT_ANNOTATION_DRAFT: string;
        VELT_ANNOTATION_EDIT_COMMENT: string;
        VELT_DOCUMENT_ID: string;
        VELT_LOCATION: string;
        VELT_LOCATION_ID: string;
        VELT_THEME: string;
        VELT_IGNORE: string;
        EMBED_MODE: string;
        DEFAULT_CURSOR: string;
        VELT_HUDDLE_ON_CURSOR_MODE: string;
        VELT_SELECTION_ENABLED: string;
        VELT_LIVE_SELECTION_ENABLED: string;
        VELT_LIVE_SELECTION_USER_INDICATOR_POSITION: string;
        VELT_LIVE_SELECTION_USER_INDICATOR_TYPE: string;
        VELT_SELECTION_CONFIG: string;
        VELT_POPOVER_MODE: string;
        VELT_ELEMENT_CACHE_ID: string;
        VELT_ARROW_PIN_HOST: string;
        VELT_ARROW_PIN_HOST_STATIC: string;
        VELT_ARROW_DISABLED: string;
        VELT_AREA_PIN_HOST: string;
        VELT_AREA_PIN_HOST_STATIC: string;
        VELT_AREA_DISABLED: string;
        VELT_AREA_PIN_ACTIVE: string;
        VELT_ONGOING_RECORDING: string;
        VELT_COMMENT_RECORDING: string;
        SYNC_VIDEO_PLAYER_ID: string;
        SYNC_VIDEO_PLAYER: string;
        VELT_INLINE_COMMENT_ID: string;
        VELT_PDF_VIEWER: string;
        VELT_SYNC_STATE: string;
        VELT_SYNC_ACCESS: string;
        VELT_SYNC_ACCESS_AUTO: string;
        VELT_SYNC_ACCESS_DISABLED: string;
        VELT_SINGLE_EDITOR_MODE_CONTAINER: string;
        VELT_IFRAME_CONTAINER: string;
        VELT_IFRAME_CONTAINER_STATIC: string;
        VELT_IS_FIRST_COMPONENT: string;
        VELT_DOWNLOAD_BUTTON: string;
        VELT_COMMENT_DIALOG_PORTAL_INTERNAL: string;
        ANNOTATION_ID: string;
        MULTI_THREAD_ANNOTATION_ID: string;
        SLATE_EDITOR: string;
    };
    static INJECTION_STYLE_PROPS: {
        /**
         * @deprecated Use VELT_AVATAR_COLOR instead
         */
        /**
         * @deprecated Use VELT_COMMENT_PRIORITY_COLOR instead
         */
        VELT_AVATAR_COLOR: string;
        VELT_COMMENT_PRIORITY_COLOR: string;
    };
    static INJECTION_ATTRIBUTES: {
        /**
         * @deprecated Use VELT_AVATAR_IMG instead
         */
        /**
         * @deprecated Use VELT_COMMENT_LENGTH instead
         */
        VELT_AVATAR_IMG: string;
        VELT_COMMENT_LENGTH: string;
    };
    static SESSION_STORAGE: {
        SNIPPYLY_AUTO_SELECT_ANNOTATION_ID: string;
        SNIPPYLY_SELECTED_ANNOTATION_ID: string;
        SNIPPYLY_COMMENT_SIDEBAR_FILTERS: string;
        SNIPPYLY_COMMENT_SIDEBAR_GROUP_BY: string;
        SNIPPYLY_COMMENT_DIALOG_AUTO_POPULATE_TEXT: string;
        SNIPPYLY_HUDDLE_DATA: string;
        VELT_TAB_ID: string;
        VELT_COMMENT_SIDEBAR_FILTERS_RESET: string;
        VELT_COMMENT_SIDEBAR_CUSTOM_ACTIONS_STATE: string;
        VELT_CURSOR_MULTIPLE_USERS_DETECTED: string;
        VELT_PRESENCE_MULTIPLE_USERS_DETECTED: string;
        VELT_CUSTOM_PRIORITY_MAP: string;
        VELT_CUSTOM_STATUS_MAP: string;
        VELT_CUSTOM_CATEGORY_MAP: string;
    };
    static LOCAL_STORAGE: {
        SNIPPYLY_DEFAULT_MEDIA_SOURCE_OPTIONS: string;
        SNIPPYLY_QUEUED_COMMENT: string;
        VELT_USER: string;
        VELT_USER_FORCE_RE_LOGGED_IN: string;
        VELT_VERSION: string;
        VELT_ADVANCED_QUERIES: string;
    };
    static NON_NESTABLE_ELEMENTS: {
        [tag: string]: boolean;
    };
    static INGNORE_MUTATION_OBSERVER_CHANGE_TAGS: {
        [tag: string]: boolean;
    };
    static SELECTION_ENABLED_ELEMENTS: {
        [tag: string]: boolean;
    };
    static URL_PARAMS: {
        REVIEW_MODE: string;
        REVIEW_DOC_ID: string;
        SNIPPYLY_USER: string;
        COMMENT_ID: string;
        TAG_ID: string;
        RECORDER_ID: string;
        PROJECT_INSTALL: string;
    };
    static VELT_BASE_REM_UNIT: string;
    static VELT_VIEWPORT_WIDTH: string;
    static VELT_VIEWPORT_HEIGHT: string;
    static VELT_SELECTION_COLOR: string;
    static VELT_MIN_ARROW_LENGTH: number;
    static VELT_ARROW_VIEWPORT_PADDING: number;
    static LIVE_STATE_REQUEST_EDITOR_ACCESS_WAIT_TIME: number;
    static CURSOR: {
        COMMENT_PIN: string;
        TAG_PIN: string;
        ARROW_PIN: string;
        AREA_PIN: string;
    };
    static VIDEO_POSTER_DEFAULT_IMAGE: string;
    static HUDDLE_TYPE_CONFIGS: {
        audio: {
            audio: boolean;
            video: boolean;
            presentation: boolean;
        };
        video: {
            audio: boolean;
            video: boolean;
            presentation: boolean;
        };
        presentation: {
            audio: boolean;
            video: boolean;
            presentation: boolean;
        };
    };
    static RecorderModes: {
        VIDEO: string;
        AUDIO: string;
        SCREEN: string;
        ALL: string;
    };
    static CommentAnnotationStatusMap: CustomStatusMap;
    static CommentAcceptStatus: CustomStatus;
    static CommentRejectStatus: CustomStatus;
    static CommentAnnotationPriorityMap: CustomPriorityMap;
    static WorkspaceRoles: Array<UserRole>;
    static DocumentAccessTypeMap: {
        [key: string]: {
            id: string;
            name: string;
            description: string;
        };
    };
    static DocumentAccessTypeMapSF: {
        [key: string]: {
            id: string;
            name: string;
            description: string;
        };
    };
    static CommentCategoryMap: {
        [categoryId: string]: {
            id: string;
            name: string;
            color: string;
        };
    };
    static OVERLAY_POSITIONS: {
        originX: any;
        originY: any;
        overlayX: any;
        overlayY: any;
    }[];
    static OVERLAY_POSITIONS_FOR_POPOVER_MODE: {
        originX: any;
        originY: any;
        overlayX: any;
        overlayY: any;
    }[];
}
